# Uses of Class
com.databricks.jdbc.model.core.StatementStatus

Packages that use StatementStatus
Package
Description
com.databricks.jdbc.api
com.databricks.jdbc.api.impl
com.databricks.jdbc.common.util
com.databricks.jdbc.model.client.sqlexec
com.databricks.jdbc.model.core

## Uses of StatementStatus in com.databricks.jdbc.api

Methods in com.databricks.jdbc.api that return StatementStatus
Modifier and Type
Method
Description
`StatementStatus`
IDatabricksResultSet.`getStatementStatus()`
Deprecated.
Use `IDatabricksResultSet.getExecutionStatus()` instead.

## Uses of StatementStatus in com.databricks.jdbc.api.impl

Methods in com.databricks.jdbc.api.impl that return StatementStatus
Modifier and Type
Method
Description
`StatementStatus`
DatabricksResultSet.`getStatementStatus()`
`StatementStatus`
EmptyResultSet.`getStatementStatus()`
Constructors in com.databricks.jdbc.api.impl with parameters of type StatementStatus
Modifier
Constructor
Description
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, StatementType statementType, IDatabricksStatementInternal parentStatement, IExecutionResult executionResult, DatabricksResultSetMetaData resultSetMetaData, boolean complexDatatypeSupport)`
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, TFetchResultsResp resultsResp, StatementType statementType, IDatabricksStatementInternal parentStatement, IDatabricksSession session)`
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, ResultData resultData, ResultManifest resultManifest, StatementType statementType, IDatabricksSession session, IDatabricksStatementInternal parentStatement)`
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, List<ColumnMetadata> columnMetadataList, List<List<Object>> rows, StatementType statementType)`
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, List<String> columnNames, List<String> columnTypeText, int[] columnTypes, int[] columnTypePrecisions, int[] isNullables, Object[][] rows, StatementType statementType)`
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, List<String> columnNames, List<String> columnTypeText, List<Integer> columnTypes, List<Integer> columnTypePrecisions, List<Nullable> columnNullables, List<List<Object>> rows, StatementType statementType)`

## Uses of StatementStatus in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util that return StatementStatus
Modifier and Type
Method
Description
`static StatementStatus`
DatabricksThriftUtil.`getAsyncStatus(TStatus status)`
Returns statement status for given status response
`static StatementStatus`
DatabricksThriftUtil.`getStatementStatus(TGetOperationStatusResp resp)`
Returns statement status for given operation status response

## Uses of StatementStatus in com.databricks.jdbc.model.client.sqlexec

Methods in com.databricks.jdbc.model.client.sqlexec that return StatementStatus
Modifier and Type
Method
Description
`StatementStatus`
ExecuteStatementResponse.`getStatus()`
`StatementStatus`
GetStatementResponse.`getStatus()`
Methods in com.databricks.jdbc.model.client.sqlexec with parameters of type StatementStatus
Modifier and Type
Method
Description
`ExecuteStatementResponse`
ExecuteStatementResponse.`setStatus(StatementStatus status)`
`GetStatementResponse`
GetStatementResponse.`setStatus(StatementStatus status)`

## Uses of StatementStatus in com.databricks.jdbc.model.core

Methods in com.databricks.jdbc.model.core that return StatementStatus
Modifier and Type
Method
Description
`StatementStatus`
StatementStatus.`setError(com.databricks.sdk.service.sql.ServiceError error)`
`StatementStatus`
StatementStatus.`setSqlState(String sqlState)`
`StatementStatus`
StatementStatus.`setState(com.databricks.sdk.service.sql.StatementState state)`